Package com.macrofocus.high_d.mds.sammon

# Class SimpleSammonModel

java.lang.Object
com.macrofocus.molap.dataframe.AbstractDataFrame<Integer,String,Number>
com.macrofocus.molap.dataframe.matrix.AbstractMatrix<Integer,String>
com.macrofocus.high_d.mds.AbstractMDSModel
com.macrofocus.high_d.mds.sammon.SimpleSammonModel

All Implemented Interfaces:
  `MDSModel`, `MutableMDSModel`, `SammonModel`, `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`, `com.macrofocus.molap.dataframe.matrix.Matrix<Integer,String>`

public class SimpleSammonModel extends AbstractMDSModel implements SammonModel

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `com.macrofocus.molap.dataframe.AbstractDataFrame.ColumnSeries`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleSammonModel(com.macrofocus.molap.dataframe.DataFrame dataset)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Class`
  `getColumnClass(int column)`
  `int`
  `getColumnCount()`
  `com.macrofocus.molap.index.UniqueIndex<String>`
  `getColumnIndex()`
  `int`
  `getColumnIndex(Object name)`
  `Object`
  `getColumnName(int column)`
  `double`
  `getDouble(Integer row, Integer column)`
  `int`
  `getRowCount()`
  `com.macrofocus.molap.index.UniqueIndex<Integer>`
  `getRowIndex()`
  `Object`
  `getValueAt(int row, int column)`
  `double`
  `getX(int row)`
  `double`
  `getY(int row)`
  `boolean`
  `isAvailable(int row, int column)`
  `void`
  `setDouble(int row, int column, double value)`
  `void`
  `setX(int row, double x)`
  `void`
  `setY(int row, double y)`

  ### Methods inherited from class com.macrofocus.high_d.mds.AbstractMDSModel

  `getDouble, isAvailable`

  ### Methods inherited from class com.macrofocus.molap.dataframe.matrix.AbstractMatrix

  `getColumnClass, getColumnVector, getRow, getRowClass, getRowVector, getValueAt, isAvailable, join, scalarDivide, scalarMult, scalarPlus`

  ### Methods inherited from class com.macrofocus.molap.dataframe.AbstractDataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getCube, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getNotNullSum, getPercentileQuartile, getRandom, getRowAddress, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, notifyDataFrameChanged, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.molap.dataframe.DataFrame

  `addDataFrameListener, addWeakDataFrameListener, aggregate, aggregate, append, appendAndReindex, benchmark, columns, filter, getCentroid, getColumn, getColumnAddress, getColumnKey, getColumnName, getConstant, getCount, getCountDistinct, getCountDistinctWithNull, getDataFrameAggregation, getDistributiveStatistics, getFirst, getFirstQuartile, getMax, getMean, getMedian, getMin, getPercentileQuartile, getRandom, getRowAddress, getRowKey, getStatistics, getStdDev, getSum, getThirdQuartile, getUnivariateStatistics, getVariance, getVarianceByPopulation, getWeightedMean, getWeightedSum, orderRows, print, print, printSchema, reindexColumns, reindexRows, reindexRowsDefault, reindexRowsUsingColumn, reindexRowsUsingColumnDefault, reindexRowsUsingColumns, remapColumns, removeColumns, removeDataFrameListener, removeDataFrameListeners, removeDuplicates, rows`

  ### Methods inherited from interface com.macrofocus.high_d.mds.MDSModel

  `isAvailable`

- ## Constructor Details

  - ### SimpleSammonModel

    public SimpleSammonModel(com.macrofocus.molap.dataframe.DataFrame dataset)

- ## Method Details

  - ### getValueAt

    public Object getValueAt(int row, int column)

  - ### isAvailable

    public boolean isAvailable(int row, int column)

  - ### getDouble

    public double getDouble(Integer row, Integer column)

  - ### setDouble

    public void setDouble(int row, int column, double value)

  - ### getRowCount

    public int getRowCount()
    Specified by:
      `getRowCount` in interface `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`
    Specified by:
      `getRowCount` in interface `MDSModel`
    Overrides:
      `getRowCount` in class `com.macrofocus.molap.dataframe.AbstractDataFrame<Integer,String,Number>`

  - ### getColumnCount

    public int getColumnCount()
    Specified by:
      `getColumnCount` in interface `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`
    Specified by:
      `getColumnCount` in interface `MDSModel`
    Overrides:
      `getColumnCount` in class `AbstractMDSModel`

  - ### setX

    public void setX(int row, double x)
    Specified by:
      `setX` in interface `MutableMDSModel`

  - ### setY

    public void setY(int row, double y)
    Specified by:
      `setY` in interface `MutableMDSModel`

  - ### getX

    public double getX(int row)
    Specified by:
      `getX` in interface `MDSModel`

  - ### getY

    public double getY(int row)
    Specified by:
      `getY` in interface `MDSModel`

  - ### getColumnName

    public Object getColumnName(int column)
    Overrides:
      `getColumnName` in class `AbstractMDSModel`

  - ### getColumnIndex

    public int getColumnIndex(Object name)

  - ### getColumnClass

    public Class getColumnClass(int column)

  - ### getRowIndex

    public com.macrofocus.molap.index.UniqueIndex<Integer> getRowIndex()
    Specified by:
      `getRowIndex` in interface `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`

  - ### getColumnIndex

    public com.macrofocus.molap.index.UniqueIndex<String> getColumnIndex()
    Specified by:
      `getColumnIndex` in interface `com.macrofocus.molap.dataframe.DataFrame<Integer,String,Number>`